From 355f54957d7cbe7e0d12be17262444a471e373c7 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 20 Dec 2023 10:07:03 +0100
Subject: [PATCH v3 1/2] Fix warning in Perl test code

The code was passing a scalar argument to node->restart(), but it was
expecting a hash, which causes a warning from Perl.

But the node->restart() function doesn't take a mode argument anyway.
This was probably copied from an incorrect comment (see commit
750c59d7ec).  The default restart mode is "fast" anyway, so the test
should still be semantically correct without explicitly specifying the
mode.
---
 src/test/recovery/t/006_logical_decoding.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/test/recovery/t/006_logical_decoding.pl b/src/test/recovery/t/006_logical_decoding.pl
index 5025d65b1b..5c851bf4c1 100644
--- a/src/test/recovery/t/006_logical_decoding.pl
+++ b/src/test/recovery/t/006_logical_decoding.pl
@@ -70,7 +70,7 @@
 # If we immediately crash the server we might lose the progress we just made
 # and replay the same changes again. But a clean shutdown should never repeat
 # the same changes when we use the SQL decoding interface.
-$node_primary->restart('fast');
+$node_primary->restart;
 
 # There are no new writes, so the result should be empty.
 $result = $node_primary->safe_psql('postgres',
-- 
2.43.0

